import type { JsonPatchOptions } from '../../types';
import type { CompactOp } from './types';
import type { Op } from '../../op';
export declare class Decoder {
    private readonly options;
    constructor(options: JsonPatchOptions);
    decode(patch: CompactOp[]): Op[];
}
